#ifndef KAMODELITEM_H
#define KAMODELITEM_H

#include <memory>
#include <QWidget>

#include <kylin-ai/ai-base/modelconfig.h>

using namespace std;

class KAModelItem : public QWidget
{
    Q_OBJECT
public:
    explicit KAModelItem(RemoteModelId type, QWidget *parent = nullptr);
    ~KAModelItem();

signals:
    void sigEdit(RemoteModelId type);
    void sigDelete(RemoteModelId type);

private slots:

private:
    void initLayout();
    void initMenu();

private:
    class Private;
    shared_ptr<Private> d_ptr;
};

#endif // KAMODELITEM_H
